Update a "Wait" node in a Smart Campaign
1 min
POST
https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/schedules/{waitNodeId}
clientIdinteger<int64>Client ID
waitNodeIdstring"Wait" node ID
campaignIdinteger<int64>Smart Campaign ID
acceptstringGenerated from available response content types
scheduledAtstring<date-time>Scheduled time in ISO 8601 format
sto.enabledboolean<p>If true, send time optimization is enabled. The "sto" parameters are only considered if one of the "scheduled" parameters is provided.</p>
sto.typestring<DAY | WEEK><p>Type of send time optimization (can be combined with "scheduledAt" scheduler; DAY will be set by other schedulers)</p>
sto.fallbackAtstring<date-time><p>Fallback at time of send time optimization in ISO 8601 format (can be combined with "scheduledAt" scheduler)</p>
sto.optimizationEndsAtstring<date-time><p>Optimization ends at time of send time optimization in ISO 8601 format (can be combined with "scheduledAt" scheduler)</p>
scheduledAfterRecipientImportboolean<p>If true, the scheduler is triggered after recipient import</p>
scheduledAfterRecipientImportAtTimestringScheduled after import time in ISO 8601 format
sto.periodstring<p>Duration of send time optimization in ISO 8601 format (only days (max. 1), hours, and minute will be accepted (can be combined with "scheduledAfterRecipientImport" and "scheduledAfterRecipientImportAtTime" schedulers)</p>
predecessorNodeIdstringPredecessor node
successorNodeIdstringSuccessor node
200The "Wait" node was updated successfully.
404The "Wait" node could not be found. Ensure that the required parameters such as "campaignId" or "waitNodeId" are correct and the "Wait" node exists.
curl --request POST \
--url https://api.campaign.episerver.net/rest/{clientId}/smartcampaigns/{campaignId}/schedules/{waitNodeId} \
--header 'accept: application/json'